from abejacli.config import DOCKER_REPOSITORIES
from abejacli.config import TAG_VERSION_SAMPV1, RUN_LOCAL_COMMAND_V1, RUN_LOCAL_COMMAND_V2


def get_runtime_command(image: str, tag: str, v1_flag: bool):
    if image.split('/')[0] not in DOCKER_REPOSITORIES:
        return RUN_LOCAL_COMMAND_V2
    if v1_flag:
        return RUN_LOCAL_COMMAND_V1

    if tag in TAG_VERSION_SAMPV1:
        return RUN_LOCAL_COMMAND_V1

    return RUN_LOCAL_COMMAND_V2
